<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Entities\**" />
    <EmbeddedResource Remove="Entities\**" />
    <None Remove="Entities\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="BitmapToVector.SkiaSharp" Version="1.16.3" />
    <PackageReference Include="BitMiracle.LibTiff.NET" Version="2.4.660" />
    <PackageReference Include="HPPH.SkiaSharp" Version="1.0.0" />
    <PackageReference Include="Magick.NET-Q16-AnyCPU" Version="14.8.2" />
    <PackageReference Include="Microsoft.IdentityModel.JsonWebTokens" Version="8.14.0" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.11" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.14.0" />
    <PackageReference Include="System.Text.Json" Version="9.0.9" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="SvgLibs\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CrazyStudio.Core\CrazyStudio.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="SvgLibs\mkbitmap.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="SvgLibs\pngquant.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="SvgLibs\potrace.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
